Subject: Re: powerpc with gigabit card hanging

From: David Gardiner <[email-masked]>
Date: Wed, 29 Sep 2004 08:45:01 +1000

>only the PMCSPAN IDSEL routing is missing. Don't know what your 2.4
>  
>
linuxppc_2_4_devel

>kernel looks like or your current map in your 2.6 port.
>  
>
Thanks Matt, that was pretty easy once I knew where to look, being that 
the gigabit was on the span card and they were all set to zero and in 
the linuxppc_2_4_devel tree they weren't, anyway the patch is attatched. 
I don't want anything to be done with this patch as I still would like 
to "try" and fold the mvme5100 into pplus and I'm only attatching it in 
case I get hit by a bus.

dodah,
dlg
 
--- play-2.6.9.patched.changed.compile/arch/ppc/platforms/mvme5100.c.orig	2004-09-29 08:25:47.549383101 +1000
+++ play-2.6.9.patched.changed.compile/arch/ppc/platforms/mvme5100.c	2004-09-29 08:25:54.199430187 +1000
@@ -81,7 +81,7 @@ mvme5100_map_irq(struct pci_dev *dev, un
 		{ 28, 25, 26, 27 },	/* IDSEL 17 - PMC Slot 2 */
 		{  0,  0,  0,  0 },	/* IDSEL 18 - unused */
 		{ 29,  0,  0,  0 },	/* IDSEL 19 - Enet 2 */
-		{  0,  0,  0,  0 },	/* IDSEL 20 - PMCSPAN */
+		{ 25, 26, 27, 28 }, /* IDSEL 20 - PMCSPAN */
 	};
 
 	const long min_idsel = 11, max_idsel = 20, irqs_per_slot = 4;